## org.biojavax.bio.seq.io
Class GenbankFormat.Terms

    java.lang.Object
      org.biojavax.bio.seq.RichSequence.Terms
          org.biojavax.bio.seq.io.GenbankFormat.Terms

Enclosing class:
  GenbankFormat

    public static class GenbankFormat.Terms

extends RichSequence.Terms

Implements some GenBank-specific terms.

Field Summary

Fields inherited from class org.biojavax.bio.seq.RichSequence.Terms
`DOI_KEY, MEDLINE_KEY, PLASMID_KEY, PUBMED_KEY, SPECIES_KEY, STRAIN_KEY, TISSUE_KEY, TRANSPOSON_KEY`

Constructor Summary
`GenbankFormat.Terms()`

Method Summary
`static ComparableTerm` `getGenBankTerm()` Getter for the Genbank term

Methods inherited from class org.biojavax.bio.seq.RichSequence.Terms

`getAdditionalAccessionTerm, getCopyrightTerm, getDataClassTerm, getDateAnnotatedTerm, getDateCreatedTerm, getDateUpdatedTerm, getFeatureDescTerm, getFTIdTerm, getGeneNameTerm, getGeneSynonymTerm, getKeywordTerm, getMolTypeTerm, getOrderedLocusNameTerm, getORFNameTerm, getOrganelleTerm, getPlasmidTerm, getRelAnnotatedTerm, getRelCreatedTerm, getRelUpdatedTerm, getSpeciesTerm, getStrainTerm, getStrandedTerm, getTissueTerm, getTransposonTerm`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GenbankFormat.Terms

    public GenbankFormat.Terms()

Method Detail

### getGenBankTerm

    public static ComparableTerm getGenBankTerm()

  Getter for the Genbank term

  Returns:
    The genbank Term